//+------------------------------------------------------------------+
//|                                                 AccountCheck.mq4 |
//|                                         Copyright  2010,ir0407  |
//|                                                 wlmaster@mail.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, ir0407"
#property link      "wlmaster@mail.ru"

#include <WinUser32.mqh>

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
{
  string msg = "";
  msg = msg + " : \"" + TerminalCompany() + "\"" + "\n";
  msg = msg + " : \"" + TerminalName() + "\"" + "\n";
  msg = msg + "    : \"" + TerminalPath() + "\"" + "\n";
  msg = msg + "\n";
  msg = msg + "   : \"" + AccountCompany() + "\"" + "\n";
  msg = msg + " : \"" + AccountServer() + "\"" + "\n";
  msg = msg + "\n";
  msg = msg + " : " + AccountName() + "\n";
  msg = msg + " : " + AccountNumber() + "\n";
  msg = msg + " : " + AccountCurrency() + "\n";
  msg = msg + ": " + AccountLeverage() + "\n";
  msg = msg + "  (Balance): " + DoubleToStr(AccountBalance(),2) + "\n";
  msg = msg + "   (Equity): " + DoubleToStr(AccountEquity(),2) + "\n";
  msg = msg + "    (Profit): " + DoubleToStr(AccountProfit(),2) + "\n";
  msg = msg + "     (Margin): " + DoubleToStr(AccountMargin(),2) + "\n";
  msg = msg + "   (FreeMargin): " + DoubleToStr(AccountFreeMargin(),2) + "\n";
  switch(AccountStopoutMode())
  {
    case 0:
      msg = msg + "    (StopOut): " + AccountStopoutLevel() + "%" + "\n";
      break;
    case 1:
      msg = msg + "    (StopOut): " + AccountStopoutLevel() + " " + AccountCurrency() + "\n";
      break;
  }
  msg = msg + "\n";
  switch(AccountFreeMarginMode())
  {
    case 0:
      msg = msg + "         ." + "\n";
      break;
    case 1:
      msg = msg + "       , \n        ." + "\n";
      break;
    case 2:
      msg = msg + "       , \n      ." + "\n";
      break;
    case 3:
      msg = msg + "       , \n      ." + "\n";
      break;
  }
  MessageBox(msg, "   :", MB_OK|MB_ICONINFORMATION);
  return(0);
}
//+------------------------------------------------------------------+